# Tickets Object

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/tickets/

Schema for the `Tickets` resource in **Unified Ticketing API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a ticket
- **`name`** _(string)_
  The name of the ticket
- **`number`** _(string)_
  An optional ticket number maintained by the system.
- **`assignees`** _(array<object>)_
  Users assigned to the ticket
  - **`id`** _(string)_
    The unique identifier for a user
  - **`name`** _(string)_
    The name of the user
  - **`first_name`** _(string)_
    The first name of the user
  - **`last_name`** _(string)_
    The last name of the user
  - **`emails`** _(array<object>)_
    The user's email addresses
    - **`email`** _(string, required)_
      The user's email address
    - **`type`** _(string)_
      The type of email address
  - **`phones`** _(array<object>)_
    The user's phone number
    - **`number`** _(string, required)_
      The user's phone number
    - **`type`** _(string)_
      The type of phone number
- **`status`** _(object)_
  The status of the ticket
  - **`id`** _(string)_
    The unique identifier for a status
  - **`name`** _(string)_
    The name of the status
    Allowed: `active`, `closed`, `open`, `pending`, `spam`, `resolved`, `archived`, `deleted`, `completed`
- **`created_by`** _(object)_
  User or contact who created the ticket
  - **`id`** _(string)_
    The unique identifier for a user
  - **`name`** _(string)_
    The name of the user
  - **`type`** _(string)_
    The type of the user
    Allowed: `user`, `contact`
- **`due_date`** _(string)_
  Due date of the ticket
- **`description`** _(string)_
  Description of the ticket
- **`workspace`** _(object)_
  Workspace associated with the ticket
  - **`id`** _(string)_
    The unique identifier for a workspace
  - **`name`** _(string)_
    The name of the workspace
- **`team`** _(object)_
  Team associated with the ticket
  - **`id`** _(string)_
    The unique identifier for a team
  - **`name`** _(string)_
    The name of the team
- **`collections`** _(array<object>)_
  Collections associated with the ticket
  - **`id`** _(string)_
    The unique identifier for a collection
  - **`name`** _(string)_
    The name of the collection
  - **`type`** _(string)_
    The type of the collection
- **`conversations`** _(array<object>)_
  Conversations associated with the ticket
  - **`id`** _(string)_
    The unique identifier for a conversation
  - **`name`** _(string)_
    The name of the conversation
  - **`type`** _(string)_
    The type of the conversation
- **`ticket_type`** _(object)_
  Type of the ticket
  - **`id`** _(string)_
    The unique identifier for a ticket type
  - **`name`** _(string)_
    The name of the ticket type
- **`contact`** _(object)_
  Contact associated with the ticket
  - **`id`** _(string)_
    The unique identifier for a contact
  - **`first_name`** _(string)_
    The first name of the contact
  - **`last_name`** _(string)_
    The last name of the contact
  - **`name`** _(string)_
    The name of the contact
  - **`emails`** _(array<object>)_
    The emails of the contact
    - **`email`** _(string, required)_
      The email of the contact
    - **`type`** _(string)_
      The type of the email
  - **`phones`** _(array<object>)_
    The contact's phone number
    - **`number`** _(string, required)_
      The contact's phone number
    - **`type`** _(string)_
      The type of phone number
- **`additional_contacts`** _(array<object>)_
  Additional Contacts associated with the ticket
  - **`id`** _(string)_
    The unique identifier for a contact
  - **`first_name`** _(string)_
    The first name of the contact
  - **`last_name`** _(string)_
    The last name of the contact
  - **`name`** _(string)_
    The name of the contact
  - **`emails`** _(array<object>)_
    The emails of the contact
    - **`email`** _(string, required)_
      The email of the contact
    - **`type`** _(string)_
      The type of the email
  - **`phones`** _(array<object>)_
    The contact's phone number
    - **`number`** _(string, required)_
      The contact's phone number
    - **`type`** _(string)_
      The type of phone number
- **`account`** _(object)_
  Account associated with the ticket
  - **`id`** _(string)_
    The unique identifier for a contact
- **`parent_ticket`** _(object)_
  Parent ticket associated with the ticket
  - **`id`** _(string)_
    The unique identifier for a ticket
  - **`name`** _(string)_
    The name of the ticket
- **`attachments`** _(array<object>)_
  Attachments associated with the ticket
  - **`id`** _(string)_
    The unique identifier for an attachment
  - **`file_name`** _(string)_
    The name of the attachment
  - **`file_url`** _(string)_
    The url of the attachment
- **`tags`** _(array<object>)_
  Tags associated with the ticket
  - **`id`** _(string)_
    The unique identifier for a tag
  - **`name`** _(string)_
    The name of the tag
- **`created_at`** _(string)_
  Time at which the ticket was created
- **`updated_at`** _(string)_
  Time at which the ticket was last updated
- **`completed_at`** _(string)_
  Time at which the ticket was completed
- **`ticket_url`** _(string)_
  URL of the ticket
- **`priority`** _(object)_
  Priority of the ticket
  - **`id`** _(string)_
    The unique identifier for a priority
  - **`name`** _(string)_
    The name of the priority
- **`languages`** _(array<string>)_
  Languages of the ticket
- **`is_unread`** _(boolean)_
  Whether the ticket is unread
- **`source`** _(object)_
  The source of the ticket
  - **`id`** _(string)_
    The unique identifier for a source
  - **`name`** _(string)_
    The name of the source
- **`custom_fields`** _(object)_
  All the custom fields present on the ticket
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ticketing/tickets](/docs/api-reference/unified-ticketing-api/tickets/list) — List Tickets
- [POST /unified/ticketing/tickets](/docs/api-reference/unified-ticketing-api/tickets/create) — Create Tickets
- [GET /unified/ticketing/tickets/{id}](/docs/api-reference/unified-ticketing-api/tickets/get) — Get Tickets
- [PATCH /unified/ticketing/tickets/{id}](/docs/api-reference/unified-ticketing-api/tickets/update) — Update Tickets
- [DELETE /unified/ticketing/tickets/{id}](/docs/api-reference/unified-ticketing-api/tickets/delete) — Delete Tickets
- [POST /unified/ticketing/tickets/import](/docs/api-reference/unified-ticketing-api/tickets/import) — Import Tickets
